Create a host
curl --request POST \
--url https://{command_center_host}/api/v1/hosts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "<string>",
"name": "<string>",
"public_ip": null,
"private_ip": null,
"ip_connect_mode": "auto",
"additional_names": [],
"target_type": "ssh",
"platform": null,
"target_port": null,
"skip_tls_verify": false,
"knowledge": null,
"satellite_cluster_id": null,
"placement": {
"namespace": "<string>",
"node_selector": {},
"tolerations": [
{
"key": "<string>",
"value": "<string>",
"tolerationSeconds": 0
}
]
},
"jump_host_ids": [],
"is_jump_host": false,
"jump_host_username_credential_id": null,
"jump_host_secret_credential_id": null,
"eligible_subnets": [],
"technologies": [
{
"id": "<string>"
}
],
"applications": [
{
"id": "<string>"
}
],
"tags": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{command_center_host}/api/v1/hosts"
payload = {
"org_id": "<string>",
"name": "<string>",
"public_ip": None,
"private_ip": None,
"ip_connect_mode": "auto",
"additional_names": [],
"target_type": "ssh",
"platform": None,
"target_port": None,
"skip_tls_verify": False,
"knowledge": None,
"satellite_cluster_id": None,
"placement": {
"namespace": "<string>",
"node_selector": {},
"tolerations": [
{
"key": "<string>",
"value": "<string>",
"tolerationSeconds": 0
}
]
},
"jump_host_ids": [],
"is_jump_host": False,
"jump_host_username_credential_id": None,
"jump_host_secret_credential_id": None,
"eligible_subnets": [],
"technologies": [{ "id": "<string>" }],
"applications": [{ "id": "<string>" }],
"tags": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '<string>',
name: '<string>',
public_ip: null,
private_ip: null,
ip_connect_mode: 'auto',
additional_names: [],
target_type: 'ssh',
platform: null,
target_port: null,
skip_tls_verify: false,
knowledge: null,
satellite_cluster_id: null,
placement: {
namespace: '<string>',
node_selector: {},
tolerations: [{key: '<string>', value: '<string>', tolerationSeconds: 0}]
},
jump_host_ids: [],
is_jump_host: false,
jump_host_username_credential_id: null,
jump_host_secret_credential_id: null,
eligible_subnets: [],
technologies: [{id: '<string>'}],
applications: [{id: '<string>'}],
tags: [{id: '<string>'}]
})
};
fetch('https://{command_center_host}/api/v1/hosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{command_center_host}/api/v1/hosts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '<string>',
'name' => '<string>',
'public_ip' => null,
'private_ip' => null,
'ip_connect_mode' => 'auto',
'additional_names' => [
],
'target_type' => 'ssh',
'platform' => null,
'target_port' => null,
'skip_tls_verify' => false,
'knowledge' => null,
'satellite_cluster_id' => null,
'placement' => [
'namespace' => '<string>',
'node_selector' => [
],
'tolerations' => [
[
'key' => '<string>',
'value' => '<string>',
'tolerationSeconds' => 0
]
]
],
'jump_host_ids' => [
],
'is_jump_host' => false,
'jump_host_username_credential_id' => null,
'jump_host_secret_credential_id' => null,
'eligible_subnets' => [
],
'technologies' => [
[
'id' => '<string>'
]
],
'applications' => [
[
'id' => '<string>'
]
],
'tags' => [
[
'id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{command_center_host}/api/v1/hosts"
payload := strings.NewReader("{\n \"org_id\": \"<string>\",\n \"name\": \"<string>\",\n \"public_ip\": null,\n \"private_ip\": null,\n \"ip_connect_mode\": \"auto\",\n \"additional_names\": [],\n \"target_type\": \"ssh\",\n \"platform\": null,\n \"target_port\": null,\n \"skip_tls_verify\": false,\n \"knowledge\": null,\n \"satellite_cluster_id\": null,\n \"placement\": {\n \"namespace\": \"<string>\",\n \"node_selector\": {},\n \"tolerations\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"tolerationSeconds\": 0\n }\n ]\n },\n \"jump_host_ids\": [],\n \"is_jump_host\": false,\n \"jump_host_username_credential_id\": null,\n \"jump_host_secret_credential_id\": null,\n \"eligible_subnets\": [],\n \"technologies\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"applications\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{command_center_host}/api/v1/hosts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"<string>\",\n \"name\": \"<string>\",\n \"public_ip\": null,\n \"private_ip\": null,\n \"ip_connect_mode\": \"auto\",\n \"additional_names\": [],\n \"target_type\": \"ssh\",\n \"platform\": null,\n \"target_port\": null,\n \"skip_tls_verify\": false,\n \"knowledge\": null,\n \"satellite_cluster_id\": null,\n \"placement\": {\n \"namespace\": \"<string>\",\n \"node_selector\": {},\n \"tolerations\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"tolerationSeconds\": 0\n }\n ]\n },\n \"jump_host_ids\": [],\n \"is_jump_host\": false,\n \"jump_host_username_credential_id\": null,\n \"jump_host_secret_credential_id\": null,\n \"eligible_subnets\": [],\n \"technologies\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"applications\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{command_center_host}/api/v1/hosts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"<string>\",\n \"name\": \"<string>\",\n \"public_ip\": null,\n \"private_ip\": null,\n \"ip_connect_mode\": \"auto\",\n \"additional_names\": [],\n \"target_type\": \"ssh\",\n \"platform\": null,\n \"target_port\": null,\n \"skip_tls_verify\": false,\n \"knowledge\": null,\n \"satellite_cluster_id\": null,\n \"placement\": {\n \"namespace\": \"<string>\",\n \"node_selector\": {},\n \"tolerations\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"tolerationSeconds\": 0\n }\n ]\n },\n \"jump_host_ids\": [],\n \"is_jump_host\": false,\n \"jump_host_username_credential_id\": null,\n \"jump_host_secret_credential_id\": null,\n \"eligible_subnets\": [],\n \"technologies\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"applications\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "hst_8272f9b4-3c1e-4a2b-9f0d-1e2c3b4a5d6e",
"name": "web-01",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"public_ip": "<string>",
"private_ip": "10.0.4.12",
"ip_connect_mode": "auto",
"target_type": "ssh",
"platform": "unix",
"target_port": 123,
"skip_tls_verify": true,
"additional_names": [
"<string>"
],
"knowledge": "<string>",
"is_jump_host": true,
"jump_host_ids": [
"<string>"
],
"jump_host_username_credential_id": "<string>",
"jump_host_secret_credential_id": "<string>",
"eligible_subnets": [
"<string>"
],
"technologies": [
{
"id": "tech_5c1a9e2f-...",
"name": "PostgreSQL",
"known": true,
"logo": "postgresql"
}
],
"applications": [
{
"id": "app_3e7b0c4d-...",
"name": "Payroll",
"description": "<string>"
}
],
"tags": [
{
"id": "tag_3e7b0c4d-...",
"name": "customer-facing",
"description": "<string>",
"category": {
"id": "tcat_0d2c9b1e-...",
"name": "Environment"
}
}
],
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"unique_id": "<string>",
"external_id": "<string>",
"mac": "<string>",
"enrichment_source": "<string>"
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Hosts
Create a host
Success is 200, not 201. Host names are not enforced unique. Technologies, applications and tags come by id or by name; a missing name is created with the host, and a list that fails creates nothing.
POST
/
api
/
v1
/
hosts
Create a host
curl --request POST \
--url https://{command_center_host}/api/v1/hosts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "<string>",
"name": "<string>",
"public_ip": null,
"private_ip": null,
"ip_connect_mode": "auto",
"additional_names": [],
"target_type": "ssh",
"platform": null,
"target_port": null,
"skip_tls_verify": false,
"knowledge": null,
"satellite_cluster_id": null,
"placement": {
"namespace": "<string>",
"node_selector": {},
"tolerations": [
{
"key": "<string>",
"value": "<string>",
"tolerationSeconds": 0
}
]
},
"jump_host_ids": [],
"is_jump_host": false,
"jump_host_username_credential_id": null,
"jump_host_secret_credential_id": null,
"eligible_subnets": [],
"technologies": [
{
"id": "<string>"
}
],
"applications": [
{
"id": "<string>"
}
],
"tags": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://{command_center_host}/api/v1/hosts"
payload = {
"org_id": "<string>",
"name": "<string>",
"public_ip": None,
"private_ip": None,
"ip_connect_mode": "auto",
"additional_names": [],
"target_type": "ssh",
"platform": None,
"target_port": None,
"skip_tls_verify": False,
"knowledge": None,
"satellite_cluster_id": None,
"placement": {
"namespace": "<string>",
"node_selector": {},
"tolerations": [
{
"key": "<string>",
"value": "<string>",
"tolerationSeconds": 0
}
]
},
"jump_host_ids": [],
"is_jump_host": False,
"jump_host_username_credential_id": None,
"jump_host_secret_credential_id": None,
"eligible_subnets": [],
"technologies": [{ "id": "<string>" }],
"applications": [{ "id": "<string>" }],
"tags": [{ "id": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
org_id: '<string>',
name: '<string>',
public_ip: null,
private_ip: null,
ip_connect_mode: 'auto',
additional_names: [],
target_type: 'ssh',
platform: null,
target_port: null,
skip_tls_verify: false,
knowledge: null,
satellite_cluster_id: null,
placement: {
namespace: '<string>',
node_selector: {},
tolerations: [{key: '<string>', value: '<string>', tolerationSeconds: 0}]
},
jump_host_ids: [],
is_jump_host: false,
jump_host_username_credential_id: null,
jump_host_secret_credential_id: null,
eligible_subnets: [],
technologies: [{id: '<string>'}],
applications: [{id: '<string>'}],
tags: [{id: '<string>'}]
})
};
fetch('https://{command_center_host}/api/v1/hosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{command_center_host}/api/v1/hosts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '<string>',
'name' => '<string>',
'public_ip' => null,
'private_ip' => null,
'ip_connect_mode' => 'auto',
'additional_names' => [
],
'target_type' => 'ssh',
'platform' => null,
'target_port' => null,
'skip_tls_verify' => false,
'knowledge' => null,
'satellite_cluster_id' => null,
'placement' => [
'namespace' => '<string>',
'node_selector' => [
],
'tolerations' => [
[
'key' => '<string>',
'value' => '<string>',
'tolerationSeconds' => 0
]
]
],
'jump_host_ids' => [
],
'is_jump_host' => false,
'jump_host_username_credential_id' => null,
'jump_host_secret_credential_id' => null,
'eligible_subnets' => [
],
'technologies' => [
[
'id' => '<string>'
]
],
'applications' => [
[
'id' => '<string>'
]
],
'tags' => [
[
'id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{command_center_host}/api/v1/hosts"
payload := strings.NewReader("{\n \"org_id\": \"<string>\",\n \"name\": \"<string>\",\n \"public_ip\": null,\n \"private_ip\": null,\n \"ip_connect_mode\": \"auto\",\n \"additional_names\": [],\n \"target_type\": \"ssh\",\n \"platform\": null,\n \"target_port\": null,\n \"skip_tls_verify\": false,\n \"knowledge\": null,\n \"satellite_cluster_id\": null,\n \"placement\": {\n \"namespace\": \"<string>\",\n \"node_selector\": {},\n \"tolerations\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"tolerationSeconds\": 0\n }\n ]\n },\n \"jump_host_ids\": [],\n \"is_jump_host\": false,\n \"jump_host_username_credential_id\": null,\n \"jump_host_secret_credential_id\": null,\n \"eligible_subnets\": [],\n \"technologies\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"applications\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{command_center_host}/api/v1/hosts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"<string>\",\n \"name\": \"<string>\",\n \"public_ip\": null,\n \"private_ip\": null,\n \"ip_connect_mode\": \"auto\",\n \"additional_names\": [],\n \"target_type\": \"ssh\",\n \"platform\": null,\n \"target_port\": null,\n \"skip_tls_verify\": false,\n \"knowledge\": null,\n \"satellite_cluster_id\": null,\n \"placement\": {\n \"namespace\": \"<string>\",\n \"node_selector\": {},\n \"tolerations\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"tolerationSeconds\": 0\n }\n ]\n },\n \"jump_host_ids\": [],\n \"is_jump_host\": false,\n \"jump_host_username_credential_id\": null,\n \"jump_host_secret_credential_id\": null,\n \"eligible_subnets\": [],\n \"technologies\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"applications\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{command_center_host}/api/v1/hosts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"<string>\",\n \"name\": \"<string>\",\n \"public_ip\": null,\n \"private_ip\": null,\n \"ip_connect_mode\": \"auto\",\n \"additional_names\": [],\n \"target_type\": \"ssh\",\n \"platform\": null,\n \"target_port\": null,\n \"skip_tls_verify\": false,\n \"knowledge\": null,\n \"satellite_cluster_id\": null,\n \"placement\": {\n \"namespace\": \"<string>\",\n \"node_selector\": {},\n \"tolerations\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\",\n \"tolerationSeconds\": 0\n }\n ]\n },\n \"jump_host_ids\": [],\n \"is_jump_host\": false,\n \"jump_host_username_credential_id\": null,\n \"jump_host_secret_credential_id\": null,\n \"eligible_subnets\": [],\n \"technologies\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"applications\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"tags\": [\n {\n \"id\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "hst_8272f9b4-3c1e-4a2b-9f0d-1e2c3b4a5d6e",
"name": "web-01",
"org_id": "org_460b541c-...",
"tenant_id": "ten_115bea44-...",
"public_ip": "<string>",
"private_ip": "10.0.4.12",
"ip_connect_mode": "auto",
"target_type": "ssh",
"platform": "unix",
"target_port": 123,
"skip_tls_verify": true,
"additional_names": [
"<string>"
],
"knowledge": "<string>",
"is_jump_host": true,
"jump_host_ids": [
"<string>"
],
"jump_host_username_credential_id": "<string>",
"jump_host_secret_credential_id": "<string>",
"eligible_subnets": [
"<string>"
],
"technologies": [
{
"id": "tech_5c1a9e2f-...",
"name": "PostgreSQL",
"known": true,
"logo": "postgresql"
}
],
"applications": [
{
"id": "app_3e7b0c4d-...",
"name": "Payroll",
"description": "<string>"
}
],
"tags": [
{
"id": "tag_3e7b0c4d-...",
"name": "customer-facing",
"description": "<string>",
"category": {
"id": "tcat_0d2c9b1e-...",
"name": "Environment"
}
}
],
"created_at": "2026-08-26T10:00:26.380Z",
"updated_at": "2026-08-26T10:00:26.380Z",
"unique_id": "<string>",
"external_id": "<string>",
"mac": "<string>",
"enrichment_source": "<string>"
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed",
"request_id": "req_3702b7e7-...",
"field": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": {}
}Authorizations
Body
application/json
Response
The created host

